Application: BasketballSketcher

TACTIC3D Handball Sketcher - Manuel de référence
Next page >

BasketballSketcher

User guide

Created with help of DrExplain

Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation BasketballSketcher


Application: BasketballSketcher

< Previous page Next page >

BasketballSketcher

English documentation for the basketball sketcher.

The contents of BasketballSketcher

BasketBallSketcher main screen
Deployment

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation BasketballSketcher


Topic: BasketBallSketcher main screen

BasketBallSketcher main screen

This is the reference maual of the Tactic3D software Basketball dedicated to Basketball. You will find all details concerning the interface and the features of the application.
BasketBallSketcher main screen

The contents of BasketBallSketcher main screen

Features
Keyboard shortcuts
List of gestures

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation BasketBallSketcher main screen


Topic: Features

Features

Record

Starts the record of the animation step.
Shortcut keyboard = R (as record)
[Top]

Play

Play the recorded animation. Starts from the selectionned step at the bottom of the screen.
Shortcut = Space key
[Top]

Stop

Stops the animation if the animation is playing. Stops the recording also.
[Top]

Semi-3D View

4. Semi-3D View
Switchs to the semi-3D view. You can turn around the field by clicking on the left mouse button and holding it, then move to the left or to the right.
[Top]

Trajectory of players

5. Trajectory of players
Hide or display the motion path of all players.
[Top]

Delete a player

6. Delete a player
Removes a player or the ball of the current time period AND the following. Indeed, as in the real world, if you delete a player from a time frame at a given time, the player can not reappear or continue the action a second later magically.
Example : if the current value of time scale is 1s, the strokes of the selected player will be erased from 1s until the end (here 3s). It will remain only the movement between 0 and 1s.
[Top]

Undo

Undo the last action (5 undo maximum).
Shortcut : Backspace key.
[Top]

Referee

Create the "referee" character to put him on the field. Displayed in black inside the Top view with the "R" letter. Appears in black short and Tshirt.
Thus, you can modelize training exercises and indicate where the referee should be located, and you can have the referee's point of view.
[Top]

Coach

Create the "coach" character to put him on the field. Displayed in black inside the Top view with the "C" letter. Appears in gray sweat suit.
Thus, you can modelize training exercises and indicate where the coach should be located.
[Top]

Tools

Hides/displays the submenu with tools and coach and referee.
[Top]

3D Simulation

11. 3D Simulation
Launch the 3D simulation software player (3D viewer). The software generates the animation and this one is automatically reloaded in the 3D viewer3D. A latency can occur (a few seconds), depending on the length of the animation and the number of the players.
Shortcut : Enter key.
[Top]

New animation

12. New animation
Create a new animation. Asks confirmation before deleting the previous one.
Can be used to erase all the current work.
Shortcut : N key (as New).
[Top]

Open

Open an existing file. Une confirmation est demandée si un travail est en cours.
Shortcut : O key.
[Top]

Share Coach->players

14. Share Coach->players
Displays the screen that allow you to set the deployment feature.
[Top]

Attack-defense

Create in one click a standard situation. You can choose between 3 standards attack-defense.
[Top]

Ball

Put the ball on the field.
Do not put the ball just near a player, because it could be difficult to select the player who is just near the ball.
WARNING : you can not add the ball after you've started the record of the animation. If you forgot the ball, you have to recreate from scratch the animation. It's due to avoid a "teleportation effect".
[Top]

Plot

Adds a plot on the ground.
[Top]

Colored area

18. Colored area
Allows to draw free-form area to be transformed into colored square in the 3D world. This area can be used to show to the players a hole in the defense, or a target area.
You can have several colored square during the same time interval.
You can associate an colored square at each step of the animation, or you can set the duration of its display to 0.5s for example, or at least, you can set the duration to display the colored square during the entire animation.
[Top]

Comment

Adds a comment that will be displayed during the time interval specified.
Allows to display a pedagogical comment in a window to the players.
The comment can be hidden by pressing the button "C" (as "C"omment).
The comment can be displayed in normal font, in red color, or with a blink effect to increase the focus on the comment.
[Top]

Arrow

Allow to draw arrows on the pitch.
You can change the color once the arrow traced.
You can have several arrows in the same step.
The arrow will be displayed during the time interval specified.
[Top]

List of the steps

21. List of the steps
Hide/display the list of the steps.
.
[Top]

Step

Display the list of the steps of the animation. The biggest is the current one.
You can navigate by clicking on each preview of the list.
The red line on the top shows the elapsed time from the beginning of the current step.
[Top]

Elapsed time

23. Elapsed time
The red line on the top shows the elapsed time from the beginning of the current step.
When you start to trace the movement of a player, the red line shows if the player is moving during all the length of the current step. If his movement stops before the red line reaches the end of the step, then the player will make a pause in the final animation.
[Top]

Create a new step

24. Create a new step
Add a new step at the end of the last step. The button is only available whe you are in Recording mode.
[Top]

Current elapsed time

25. Current elapsed time
Elapsed time of the current step.
[Top]

Total duration of the step

26. Total duration of the step
Total duration of the current selected step (with the red line on top)..
[Top]

Elapsed time from the beginning

27. Elapsed time from the beginning
Total elapsed time from the beginning of the animation.
[Top]

Total length of animation

28. Total length of animation
Total length of the animation, in seconds.
[Top]

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Features


Topic: Keyboard shortcuts

Keyboard shortcuts

Here the list of the keyboard shortcuts :
  • P = Play
  • Espace = Play/Stop
  • R = Record
  • Enter = run the simulation in 3D
  • T = Top view
  • S = Side view
  • Backspace = Undo
  • O = Open dialog
  • N = New tactic
  • D = Deployment dialog
  • M = Show/Hide timeline
  • L = Show/Hide pathlines
  • A = Auto attack position
  • R = Remove player
  • Suppr = delete step
  • V = Video output (only available with full options )

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Keyboard shortcuts


Topic: List of gestures

List of gestures

You can display the menu for gestures by right-clicking on a player.
The available gestures depend of the context :
  1. if the player is moving with the ball or without the ball (run forward, walk backward)
  2. if the player is not moving and has the ball (a shot ...)
  3. if the player is not moving and doesn't have the ball (defense)
WARNING : certains gestures are impossible if the length of the current step is too short.
Example : if the duration of the step is 0.5s length, the player cannot throw the ball.

The contents of List of gestures

Player with the ball is moving
Player with ball is not moving
Player without the ball is moving
Player without the ball is not moving

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation List of gestures


Topic: Player with the ball is moving

Player with the ball is moving

Player with the ball is moving

Forward

The player has the ball, and moves forward.
He can walk, jog or run.
[Top]

Side walk to the left

2. Side walk to the left
The player does a side-walk with the left foot first in the direction indicated by the arrow.
[Top]

Backward

The player is moving in the direction of the arrow but in reverse.
[Top]

Side walk to the right

4. Side walk to the right
The player does a side-walk with the right foot first in the direction indicated by the arrow.
[Top]

Dribble

The player has the ball and dribbles.
[Top]

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Player with the ball is moving


Topic: Player with ball is not moving

Player with ball is not moving

Player with ball is not moving

Short change direction

1. Short change direction
The player changes his direction very shortly.
[Top]

Idle

The player does nothing (idle). He's just looking and turns his head.
[Top]

Dunk

Dunk.
[Top]

Jump shot

4. Jump shot
Standard Jump shot
[Top]

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Player with ball is not moving


Topic: Player without the ball is moving

Player without the ball is moving

Player without the ball is moving

Forward

The player has the ball, and moves forward.
He can walk, jog or run.
[Top]

Left side walk

2. Left side walk
The player does a side-walk with the left foot first in the direction indicated by the arrow.
[Top]

Backward

The player is moving in the direction of the arrow but in reverse.
[Top]

Right side walk

4. Right side walk
The player does a side-walk with the right foot first in the direction indicated by the arrow.
[Top]

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Player without the ball is moving


Topic: Player without the ball is not moving

Player without the ball is not moving

Player without the ball is not moving

Idle

The player does nothing (idle). He's just looking and turns his head.
[Top]

Defense high

2. Defense high
The player defends, with his arms over his head.
[Top]

Defense low

3. Defense low
The player has his hands under the level of his hips.
[Top]

Block

The player crosses his arms to do a block.
[Top]

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Player without the ball is not moving


Topic: Deployment

Deployment

This feature is not enable in the demo version of this software.

The contents of Deployment

Deployment-share
Setting Deployment "FTP"
Web site deployment

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Sharing coach players


Topic: Deployment-share

Deployment-share

Team Name

1. Team Name
Corresponds to the key (generally the Team name) given with the licence by Tactic3D.
Note : a coach linked to a Team Name A will not be able to read the tactics made by a trainer with the Team Name = B.
[Top]

Tactic Name

2. Tactic Name
Type the name of the tactic/exercise that the players will see in their viewer.
Value required
[Top]

Validity date

3. Validity date
Date beyond which the display of the strategy to the players will not be possible (typically the end of season).
If the date is passed, the player will receive an error message explaining that the date of the tactic does not allow him to see it.
Changing the date of the machine to bypass this security is not effective ;).
Mandatory.
[Top]

FTP Settings

4. FTP Settings
Open the dialog screen that allows to set the deploy feature.
Available in the versions Pro et Classic.
[Top]

FTP On/Off

5. FTP On/Off
Enable/disable the deployment via the "FTP" mode.
For the version "Classic", the value must be ON to share animations between the coach and the players.
[Top]

Webserver On/Off

6. Webserver On/Off
Enable/disable the deployment on the web portal.
For the version "Classic", the value must be OFF. The turn-key web portal is dedicated to professionnals club or national structures.
[Top]

Category

Category under which the tactics being deployed will be classified.
Mandatory.
[Top]

Webserver settings

8. Webserver settings
Display the screen with web portal settings.
The turn-key web portal is dedicated to professionnals club or national structures.
[Top]

Back

Back to the main screen. Save the modified datas.
[Top]

Deploy

Launch the deployment of the file that contains the animation. The file is put on a FTP server (that belongs to Tactic3D for the Classic version) or on a FTP server that belongs to a professionnal club or a federation.
[Top]

The contents of Deployment-share

How-to deploy Step by step

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Deployment-share


Topic: How-to deploy Step by step

How-to deploy Step by step

The share allows to send the work made by the coach to his players.
You must meet these 3 conditions :
  1. The coach has the software that creates the animations/drawings (BasketballSketcher.exe)
  2. The players have the software that allows to watch the animations (Tactic3DViewer sur PC, on Mac, or Iphone ou IPad - Basket3DPad).
  3. The coach subscribed to Tactic3D who is in charge to host the files of the team
  4. The coach has received the address and username+password to get an access to the host server.
Steps to follow :
  1. The coach must have filled the datas sent first by Tactic3D in the "FTP Server" window. You must fill these values only once, the first time you want to deploy.
  2. The players must have filled the datas sent first by their coach in the "Settings" window (the same datas sent by Tactic3D : address+username+password). The players must fill these values only once, the first time they want to download the tactics.
For each new tactic/exercise:
  1. The coach must fill the name of the tactic AND the validity date, then click on the Deploy button.
  2. Each player must click on the Update button (with a active Internet connection of course), and will receive the update of all the tactics/exercises. This operation erases and replaces all the existing tactics on the local hard disk of the player.

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation How-to deploy Step by step


Topic: Setting Deployment "FTP"

Setting Deployment "FTP"

Setting Deployment "FTP"

Server

Name or IP address of the computer that hosts the datas. E.g : www.myclub.com or 158.125.259.2.
For the "Classic" version, must be :
library-tactic3d.com
For the Pro version, the value can be defined by the club. Ask us at support@tactic3d.com
[Top]

Directory

Directory where are stored the tactics on the FTP server.
For the "Classic" version, must be :
/
For the Pro version, the value can be defined by the club. Ask us at support@tactic3d.com
[Top]

Port

FTP port used by the server. Obvious value is 21.
Ask us if you want to change this value for the Pro version.
[Top]

Passive mode

4. Passive mode
Transfert mode in FTP sens.
Warning : for the "Classic" version, the value must be :
On
For the Pro version, in most case, the value is on. Ask us if needed.
[Top]

Username

Name of the user who is connected to the computer that hosts the tactics.
Must be filled only one time, for the first time.
This name must be given by the coach to his players, with the password also.
It must be filled only one time by the player in his 3D viewer.
Warning : in the "classic" version, the name is provided with the license sent by Tactic3D.
This user is common to all the players.
You can securize your datas by using the validity date or by asking us to change the password. Contact us at support@tactic3d.com.
[Top]

Password

Warning : in the "classic" version, the password is provided with the license sent by Tactic3D.
This user is common to all the players.
You can securize your datas by using the validity date or by asking us to change the password. Contact us at support@tactic3d.com.
For the "Pro" version, the user must exist on the FTP server and must have read/write rights on the FTP server.
[Top]

Back

Save the datas and go back to the main screen.
[Top]

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Setting Deployment FTP


Topic: Web site deployment

Web site deployment

Web site deployment

Server

Address of the server that hosts the web portal. This web portal is a turn-key product provided by Tactic3D. It must be installed before deploying the tactics.
The web portal must be first install to work. Ask us if you have a Pro version.
The web portal allows to deploy on a private web site.
The access is securized by the coach, who gives a login/password to each player.
The coach can watch how often a player is watching the tactics, and the last date of his connection.
The coach can sort tactics by defining categories in the web portal.
[Top]

Port

Port TCP/IP du site web. Obviously equal to 80.
Depending on the architecture, ask to the Tactic3D support to change this port.
[Top]

Default category

3. Default category
Category by default given to the animation in the web site.
[Top]

Back

Save and go back to the Deployment screen.
[Top]

The contents of Web site deployment

Turn-key web site

Created with help of DrExplain

< Previous page Next page >
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Web site deployment


Topic: Turn-key web site

< Previous page

Turn-key web site

Available only with the professional version or an demand with the "Classic version".
By activating this feature, the software will put the current tactic on the web site automatically.
Below, 3 caracteristics screens of the web portal :
1) connection screen for the players/coaches
2) the screen dedicated to the player who sees only his strategies.
3) the screen for the coach who has can view the same things than the players plus statistics and a screen to manage the strategies.
4) Statistics for the coach
5) 3D visualisation from an internet browser

Created with help of DrExplain

< Previous page
Tactic3D Copyright(2007) - Toute reproduction interdite sans autorisation Web Site